com.pdfunit.messages

## Class SingleDocumentMessage

- java.lang.Object
- - com.pdfunit.messages.AbstractPDFUnitMessage
  - - com.pdfunit.messages.SingleDocumentMessage

- All Implemented Interfaces:
    IPDFUnitMessage
  Direct Known Subclasses:
    AccessPermissionMessage, ActionGotoLocalActionVaiableMessage, BarcodeContainingMessage, BarcodeEndingWithMessage, BarcodeEqualsMessage, BarcodeImageMessage, BarcodeNotFoundMessage, BarcodeRegexMessage, BarcodeRegionContainingMessage, BarcodeRegionEndingWithMessage, BarcodeRegionEqualsMessage, BarcodeRegionRegexMessage, BarcodeRegionStartingWithMessage, BarcodeStartingWithMessage, BookmarkAvailableMessage, BookmarkDuplicateNameMessage, BookmarkLabelAvailableMessage, BookmarkLabelLinkingToPageMessage, BookmarkLinkingToNameMessage, BookmarkLinkingToPageMessage, BookmarksToURIMessage, BookmarkWithDeadLinkMessage, CertificationAvailableMessage, CertificationLevelMessage, CreationDateAvailableInverseMessage, CreationDateAvailableMessage, DateAfterMessage, DateBeforeMessage, DateEqualsMessage, DocumentLessPagesMessage, DocumentMorePagesMessage, DocumentOwnerPasswordMessage, DocumentSignedByMessage, DocumentUserPasswordMessage, EmbeddedFileAvailableMessage, EmbeddedFileContentMessage, EmbeddedFileNameMessage, EncryptionLengthMessage, FieldCheckedInverseMessage, FieldCheckedMessage, FieldContentOverflowMessage, FieldDuplicateNameMessage, FieldEditableMessage, FieldExistMultipleTimesMessage, FieldExportableInverseMessage, FieldExportableMessage, FieldHeightMessage, FieldJavascriptActionAvailableMessage, FieldJavaScriptContainingMessage, FieldMultiLineMessage, FieldMultiSelectInverseMessage, FieldMultiSelectMessage, FieldNameMessage, FieldOptionalMessage, FieldPasswordProtectedMessage, FieldReadonlyMessage, FieldRectangleNotDetectedMessage, FieldRequiredMessage, FieldsAvailableMessage, FieldSignatureDateMessage, FieldSignatureNameMessage, FieldSignatureReasonMessage, FieldSignedInverseMessage, FieldSignedMessage, FieldSingleLineMessage, FieldTextAvailableMessage, FieldTypeMessage, FieldValueContainingInverseMessage, FieldValueContainingMessage, FieldValueEndingWithMessage, FieldValueEqualsMessage, FieldValueRegexInverseMessage, FieldValueRegexMessage, FieldValueStartingWithMessage, FieldVisibleInPrintInverseMessage, FieldVisibleInPrintMessage, FieldVisibleOnScreenInverseMessage, FieldVisibleOnScreenMessage, FieldWidthMessage, FontNameAvailableInverseMessage, FontNameAvailableMessage, FontsAvailableMessage, FontTypeOnlyMessage, GeneralDocumentCloseMessage, GeneralIOExceptionBookmarksMessage, GeneralIOExceptionEmbeddedFilesMessage, GeneralIOExceptionExtractImageMessage, GeneralIOExceptionExtractTextMessage, GeneralIOExceptionFindAssociatedPageMessage, GeneralIOExceptionPdfaAnalysingMessage, ImageAvailableInverseMessage, ImageAvailableMessage, ImageDifferentOnPageMessage, ImageEqualsMessage, ImageFoundMessage, ImageHeightMessage, ImageNotFoundMessage, ImageVisibleOnPageMessage, ImageWidthMessage, InvalidArgumentFileNotExistsMessage, JavaScriptActionAvailableMessage, JavaScriptActionContainingMessage, JavaScriptActionEqualsMessage, JavaScriptActionRegexMessage, JavaScriptAvailableMessage, JavaScriptContainingMessage, JavaScriptEqualsMessage, LanguageInfoAvailableInverseMessage, LanguageInfoAvailableMessage, LayerAvailableMessage, LayerDuplicateNamesMessage, LayerNameContainingMessage, LayerNameEqualsMessage, LayerNameStartingWithMessage, LinearizedMessage, LocalDestinationMessage, LocalDestinationOnPageMessage, ModificationDateAvailableInverseMessage, ModificationDateAvailableMessage, NamedDestinationAvailableMessage, NamedDestinationNameMessage, OCRContainingMessage, OCREndingWithMessage, OCREqualsMessage, OCRParsingErrorMessage, OCRRegexMessage, OCRStartingWithMessage, OrderedTextContainingMessage, PageFormatMessage, PageNumberVailableMessage, PasswordFileNotEncryptedMessage, PDFAComplianceMessage, PositionZeroOrPositiveMessage, PropertyAvailableInverseMessage, PropertyAvailableMessage, PropertyContainingInverseMessage, PropertyContainingMessage, PropertyEndingWithMessage, PropertyEqualsMessage, PropertyRegexInverseMessage, PropertyRegexMessage, PropertyStartingWithMessage, QuantityActionsMessage, QuantityBookmarksMessage, QuantityEmbeddedFilesMessage, QuantityFieldsMessage, QuantityFontsMessage, QuantityLayersMessage, QuantityPagesMessage, RenderedPageDifferenceMessage, RenderedPageQuantityMessage, SignatureAvailableMessage, SignatureCoveringWholeDocumentMessage, SignatureFieldsAllSignedInverseMessage, SignatureFieldsAllSignedMessage, SignatureFieldsAvailableMessage, SignatureNameAvailableMessage, SignatureQuantityMessage, TagAvailableMessage, TagNameAvailableMessage, TagValueMessage, TextAvailableInverseMessage, TextAvailableMessage, TextContainingInverseMessage, TextContainingMessage, TextEndingWithInverseMessage, TextEndingWithMessage, TextEqualsMessage, TextRegexInverseMessage, TextRegexMessage, TextStartingWithInverseMessage, TextStartingWithMessage, TwoDocumentsMessage, VersionEqualsMessage, VersionGreaterThanMessage, VersionLessThanMessage, XFADataAvailableInverseMessage, XFADataAvailableMessage, XFADataMatchingMessage, XFANodeAvailableMessage, XFANodeValueMessage, XMPDataAvailableInverseMessage, XMPDataAvailableMessage, XMPDataMatchingMessage, XMPNodeAvailableMessage, XMPNodeValueMessage, ZugferdDataAvailableMessage, ZugferdDataMatchingMessage, ZugferdSpecificationMessage

      @DoNotObfuscate
      public class SingleDocumentMessage
      extends AbstractPDFUnitMessage

  Message class, used as a key for messages.properties.
  Since:
    2013.01
  Author:
    Carsten Siedentop, February 2013

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SingleDocumentMessage(java.lang.Class<? extends AbstractPDFUnitMessage> msgClass, com.pdfunit.internal.spi.IDocument testDocument)`
    `protected` | `SingleDocumentMessage(java.lang.Class<? extends AbstractPDFUnitMessage> msgClass, java.lang.String testDocumentName)`

  - ### Method Summary

    - ### Methods inherited from class com.pdfunit.messages.AbstractPDFUnitMessage

      `addParam, getMessage, logForDevelopment, shortenName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleDocumentMessage

          protected SingleDocumentMessage(java.lang.Class<? extends AbstractPDFUnitMessage> msgClass,
                               com.pdfunit.internal.spi.IDocument testDocument)

    - #### SingleDocumentMessage

          protected SingleDocumentMessage(java.lang.Class<? extends AbstractPDFUnitMessage> msgClass,
                               java.lang.String testDocumentName)

Copyright (C) PDFUnit.com. See here for license.